# PODNAME: Authen::Krb5::AuthContext
# ABSTRACT: Kerberos 5 auth_context object.

__END__

=pod

=encoding UTF-8

=head1 NAME

Authen::Krb5::AuthContext - Kerberos 5 auth_context object.

=head1 VERSION

version 1.906

=head1 METHODS

=head2 C<new()>

Allocates memory for a new Authen::Krb5::AuthContext object and returns it.

=head2 C<setaddrs(localaddr,remoteaddr)>

Sets the local and remote addresses for the AuthContext object.  'localaddr'
and 'remoteaddr' are Authen::Krb5::Address objects, usually of type
ADDRTYPE_INET.

=head2 C<getaddrs()>

Returns a list containing the local and the remote address of the
AuthContext object.

=head2 C<setrcache(rc)>

Sets the replay cache for auth_context.  'rc' is a Authen::Krb5::Rcache object
generated by get_server_rcache.

=head2 C<getkey()>

Retrieves the session key as an Authen::Krb5::KeyBlock object.

=head1 AUTHOR

Jeff Horwitz <jeff@smashing.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
